• TaiG Releases Version 2.2.1 of iOS 8.1.3-8.x Jailbreak Tool for Windows



    On Thursday, TaiG released yet another updated version of its jailbreak tool for iOS 8.1.3-8.x. Version 2.2.1 purportedly fixes problems with security in the jailbreak, as well as stability. It has been meant to prevent applications on a jailbroken device from obtaining root access and potentially doing malicious things.

    The change log says:

    • Fixes setreuid patch to prevent applications from obtaining to root privileges through setreuid.
    • Increases stability.
    Version 2.2.1 is somewhat of a controversial update as of late, so we would recommend holding off for a while until it's deemed safe. TaiG notes that a number of users reportedly experience Cydia crashing after upgrading because a package known as Cydown needs to be updated for compatibility.

    Saurik says via Reddit that people need to wait for him to fix things "correctly" so that everything can remain stable for existing jailbreakers. Until then, he has pulled the update from the default repositories until a fix can be made:

    OK, so this is a pretty serious issue: the new patch that TaiG built just doesn't work :/. I wish they would calm down and let me do this correctly. I've pulled their update. If you installed it and it doesn't crash, I currently count you as "lucky".
    That's not stopping TaiG from jumping the gun, however. The team's version 2.2.1 jailbreak tool is currently live on the team's Web site, as well as an updated TaiG untether package available in the team's repository. TaiG Tweeted this morning saying that only "very few" people experienced the crashing, but given Saurik's advice, we think you should probably wait until an official patch is out before upgrading.



    Nonetheless, the updated version of TaiG can be downloaded from this link.

    Sources: Saurik, TaiG
    This article was originally published in forum thread: TaiG Releases Version 2.2.1 of iOS 8.1.3-8.x Jailbreak Tool for Windows started by Anthony Bouchard View original post
    Comments 42 Comments
    1. c0deName_ZERO's Avatar
      c0deName_ZERO -
      We need an update for MAC please !!!!
    1. Scotty Manley Silberhorn's Avatar
      Scotty Manley Silberhorn -
      I don't remember there ever being this many updates to a jailbreaking tool. I know we're all impatient but maybe they should've taken a little more time to get this right. Seems they lack experience with creating jailbreak tools. I know I can't do any better and that it does provide me tools for free, but it seems like it's caused a lot of frustration for everyone.
    1. Gcruz's Avatar
      Gcruz -
      Does this mean the guys that have already JB have to do it again with this new version? Or will there be an update on Cydia ?
    1. Anthony Bouchard's Avatar
      Anthony Bouchard -
      Quote Originally Posted by Gcruz View Post
      Does this mean the guys that have already JB have to do it again with this new version? Or will there be an update on Cydia ?
      There will always be an update in Cydia. But not until Saurik deems it safe.
    1. kickerman65's Avatar
      kickerman65 -
      Quote Originally Posted by Scotty Manley Silberhorn View Post
      I don't remember there ever being this many updates to a jailbreaking tool. I know we're all impatient but maybe they should've taken a little more time to get this right. Seems they lack experience with creating jailbreak tools. I know I can't do any better and that it does provide me tools for free, but it seems like it's caused a lot of frustration for everyone.
      I agree. Seems like these new Chinese teams are more concerned about being first to the punch and not so much about quality control and taking the time to do things right. I'm thankful we have these new guys and the fact that every version of iOS 8 has a jailbreak, but they need to slow down and take the time to test things before widespread public releases. How about working on the tool itself? We don't even have a proper windows tool yet, so you can forget about a Mac tool from these guys. Why can't they give us a tool that works with the latest, true x64 bit build of iTunes? Expecting us to have to downgrade our iTunes to an outdated version is just ludicrous. Especially when they release so many revisions of this tool, and every time they overlook the fact that it's a pain in the ***** to actually use if your on an updated system.
    1. Anthony Bouchard's Avatar
      Anthony Bouchard -
      Eh, not really. I remember quite a lot of updates for evasi0n too.
    1. novadam's Avatar
      novadam -
      As far as getting it right, I used tool 2.2.0 and it's smooth as butter. As Anthony says, there are always updates to the tools.
    1. bmwraw8482's Avatar
      bmwraw8482 -
      Quote Originally Posted by Scotty Manley Silberhorn View Post
      I don't remember there ever being this many updates to a jailbreaking tool.
      I don't remember ever having a jailbreak tool for a current version of iOS so close to the release of said iOS. I think last year it was pretty stable by the time the tool was updated for OS X so I'm trying to wait for that
    1. g0sbv's Avatar
      g0sbv -
      Quote Originally Posted by Scotty Manley Silberhorn View Post
      I don't remember there ever being this many updates to a jailbreaking tool. I know we're all impatient but maybe they should've taken a little more time to get this right. Seems they lack experience with creating jailbreak tools. I know I can't do any better and that it does provide me tools for free, but it seems like it's caused a lot of frustration for everyone.
      What about all the Redsn0w updates there was..
    1. trevorrawson's Avatar
      trevorrawson -
      Keeps telling me that it can't find an Apple Driver and that I need to install iTunes. I have iTunes installed and just updated to iTunes 12.2 yesterday. Is this not compatible with 12.2? Anyone else have this problem?
    1. Padgoi's Avatar
      Padgoi -
      You have to downgrade your iTunes to 12.0.1.
    1. lvtovc's Avatar
      lvtovc -
      Quote Originally Posted by kickerman65 View Post
      I agree. Seems like these new Chinese teams are more concerned about being first to the punch and not so much about quality control and taking the time to do things right. I'm thankful we have these new guys and the fact that every version of iOS 8 has a jailbreak, but they need to slow down and take the time to test things before widespread public releases. How about working on the tool itself? We don't even have a proper windows tool yet, so you can forget about a Mac tool from these guys. Why can't they give us a tool that works with the latest, true x64 bit build of iTunes? Expecting us to have to downgrade our iTunes to an outdated version is just ludicrous. Especially when they release so many revisions of this tool, and every time they overlook the fact that it's a pain in the ***** to actually use if your on an updated system.


      Wow, everyone please relax. Jailbreaking is a choice not a right. No matter which team is first or last to the scene with tools for us to Jailbreak our devices, it's our conscious choice to use them. We are not forced to do so. No matter what initial software any team creates or in this case, updates made, Saurik does not allow it to be pushed out until he deems it safe. Even then, you have to hit the upgrade button in order for the update to work. Regarding having to downgrade ones iTunes, false. I used the latest iTunes just released by Apple (same version for OS X & Windows) to JB my devices with Taig's tool. I'm not a windows guy, however having to use a virtual OS just to enjoy having my phone do a little more via tweaks, is a small sacrifice. Once again, we are making conscious choices to use tools provided to us all. We are not forced to use them. Be appreciative that someone took the time to create tools that allows each of us to be on the latest IOS firmware with jailbroken devices.
    1. dsg's Avatar
      dsg -
      Quote Originally Posted by trevorrawson View Post
      Keeps telling me that it can't find an Apple Driver and that I need to install iTunes. I have iTunes installed and just updated to iTunes 12.2 yesterday. Is this not compatible with 12.2? Anyone else have this problem?
      run tiag as Administrator, (right click and select it)

      more trouble shooting here
    1. Al226's Avatar
      Al226 -
      Quote Originally Posted by lvtovc View Post
      Wow, everyone please relax. Jailbreaking is a choice not a right. No matter which team is first or last to the scene with tools for us to Jailbreak our devices, it's our conscious choice to use them. We are not forced to do so. No matter what initial software any team creates or in this case, updates made, Saurik does not allow it to be pushed out until he deems it safe. Even then, you have to hit the upgrade button in order for the update to work. Regarding having to downgrade ones iTunes, false. I used the latest iTunes just released by Apple (same version for OS X & Windows) to JB my devices with Taig's tool. I'm not a windows guy, however having to use a virtual OS just to enjoy having my phone do a little more via tweaks, is a small sacrifice. Once again, we are making conscious choices to use tools provided to us all. We are not forced to use them. Be appreciative that someone took the time to create tools that allows each of us to be on the latest IOS firmware with jailbroken devices.
      Amen!!
    1. vinaygoel2000's Avatar
      vinaygoel2000 -
      Quote Originally Posted by Scotty Manley Silberhorn View Post
      I don't remember there ever being this many updates to a jailbreaking tool. I know we're all impatient but maybe they should've taken a little more time to get this right. Seems they lack experience with creating jailbreak tools. I know I can't do any better and that it does provide me tools for free, but it seems like it's caused a lot of frustration for everyone.
      If Apple can release so many updates: 8, 8.0.1, 8.0.2, 8.1, 8.1.1, 8.1.2, 8.1.3, 8.2, 8.3, 8.4 then why not a jailbreak tool. Matter of fact, every software has many many updates. Talk about Java, Adobe Flash. Seems like they get update every single day.
    1. TTGator's Avatar
      TTGator -
      You do NOT have to downgrade iTunes anymore. TaiG 2.2.0 works with the newest iTunes! Just did it yesterday. It was older TaiG versions that required the downgrade.
    1. kickerman65's Avatar
      kickerman65 -
      Quote Originally Posted by lvtovc View Post
      No matter what initial software any team creates or in this case, updates made, Saurik does not allow it to be pushed out until he deems it safe.
      Saurik has no control over the jailbreak tools released and weather or not they are safe. The only thing he has control over is what packages are hosted on Cydia. And in this case he deemed the latest TaiG untether not suitable for public release.


      Quote Originally Posted by lvtovc View Post
      Regarding having to downgrade ones iTunes, false. I used the latest iTunes just released by Apple (same version for OS X & Windows) to JB my devices with Taig's tool.
      I'm sorry, but I'm afraid it is indeed true for the majority of us. Anyone running an x64 bit OS with the latest "True" x64 bit build of iTunes gets this:


      And i say "True" x64 bit build of iTunes because the older builds of iTunes were not true x64 bit builds, even if you did download the 64 bit version.

      Quote Originally Posted by TTGator View Post
      You do NOT have to downgrade iTunes anymore. TaiG 2.2.0 works with the newest iTunes! Just did it yesterday. It was older TaiG versions that required the downgrade.
      You're probably not on a 64 bit OS.
    1. DAFRipper's Avatar
      DAFRipper -
      Quote Originally Posted by kickerman65 View Post
      Saurik has no control over the jailbreak tools released and weather or not they are safe. The only thing he has control over is what packages are hosted on Cydia. And in this case he deemed the latest TaiG untether not suitable for public release.




      I'm sorry, but I'm afraid it is indeed true for the majority of us. Anyone running an x64 bit OS with the latest "True" x64 bit build of iTunes gets this:


      And i say "True" x64 bit build of iTunes because the older builds of iTunes were not true x64 bit builds, even if you did download the 64 bit version.



      You're probably not on a 64 bit OS.
      Good Evening all.

      Here is a Link, where u get the driver from.
      Fix 'Apple Driver Hasn't Been Found' Error On TaiG iOS 8.4/8.3 Jailbreak | Redmond Pie

      It works on latest iTunes Version with x64.
      If u gut more questions Write a PM.
    1. NSXrebel's Avatar
      NSXrebel -
      Quote Originally Posted by kickerman65 View Post
      Saurik has no control over the jailbreak tools released and weather or not they are safe. The only thing he has control over is what packages are hosted on Cydia. And in this case he deemed the latest TaiG untether not suitable for public release.




      I'm sorry, but I'm afraid it is indeed true for the majority of us. Anyone running an x64 bit OS with the latest "True" x64 bit build of iTunes gets this:


      And i say "True" x64 bit build of iTunes because the older builds of iTunes were not true x64 bit builds, even if you did download the 64 bit version.



      You're probably not on a 64 bit OS.

      Negative. I'm on a 15" MacBook Pro, running Windows 10 (x64) with Parallels WITH the latest iTunes version and I was able to jailbreak my iPhone with TaiG 2.2.0 no problems. You can tell i'm on the latest version of iTunes by the icon on my desktop.

      Attachment 706372

    1. Oddlane's Avatar
      Oddlane -
      I as well am running 64bit, did not need to downgrade. Use the above link from DAFRipper
  • Connect With Us

  • Twitter Box

  • Facebook